%define _requires_exceptions /usr/local/bin/python

%define	name	nixory
%define	version	0.6.3
%define	release	%mkrel	1

Summary:   Anti Spyware program for Mozilla Firefox
Name:	   %{name}
Version:   %{version}
Release:   %{release}
Group:	   Networking/Other
License:   GPL
URL:	   http://nixory.sourceforge.net/
Source0:   http://nixory.sourceforge.net/%{name}-%{version}-sources.tar
Source1:   %{name}.png
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Buildarch: noarch
Requires: python
Requires: pygtk2.0
Requires: python-psyco
Requires: python-gobject
Requires: firefox
Obsoletes: %name < %version

%description
Nixory is an Anti Spyware program open source for Mozilla Firefox, planned for 
remove malicious data miner.

Main features:
- User Interactive Interface (Graphical User Interface)
- Mozilla Firefox fast and accurate anti-spyware scan
- Ice Eye heuristic system
- Update stats for Number of scans, removed objects and more

%prep
%setup -q -n %{name}-%{version}-sources

%build

%install
rm -rf $RPM_BUILD_ROOT
#launcher
mkdir -p %buildroot%_bindir/
cat > %buildroot%_bindir/%{name} << EOF
#!/bin/sh
cd %_datadir/%{name}/
python %{name}.py $*
EOF
chmod +x %{buildroot}%{_bindir}/%{name}

mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -af * $RPM_BUILD_ROOT%{_datadir}/%{name}

#icon
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
install -m 644 %SOURCE1 $RPM_BUILD_ROOT%{_datadir}/pixmaps

#menu-entry
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Nixory
Type=Application
Terminal=false
Comment=Anti Spyware program for Mozilla Firefox
Exec=%{name}
Icon=%{name}.png
Categories=GTK;Network;X-MandrivaLinux-Internet-Other;
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}
chmod 777 /usr/share/nixory/
chmod 777 /usr/share/nixory/etc/
chmod 777 /usr/share/nixory/etc/*.cfg
chmod 777 /usr/share/nixory/etc/scan_log.txt
chmod 777 /usr/share/nixory/tmp

%postun
%{clean_menus}

%files 
%defattr(-,root,root)
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png


%changelog
* Tue Apr 06 2010 slick50 <lxgator@gmail.com> 0.6.3-1pclos2010
- initial pkg

